### Home Classes Methods

### In Files

- lib/cool.io/loop.rb

### Parent

Object

### Methods

- #_coolio_loop

### Class/Module Index

Quicksearch

- Coolio
- Coolio::AsyncWatcher
- Coolio::Connections
- Coolio::DNSResolver
- Coolio::DNSResolver::Timeout
- Coolio::DSL
- Coolio::DSL::ConnectionBuilder
- Coolio::IO
- Coolio::IO::Watcher
- Coolio::IOWatcher
- Coolio::Listener
- Coolio::Loop
- Coolio::Meta
- Coolio::Server
- Coolio::Socket
- Coolio::Socket::Connector
- Coolio::TCPListener
- Coolio::TCPServer
- Coolio::TCPSocket
- Coolio::TCPSocket::TCPConnectResolver
- Coolio::TCPSocket::TCPConnectSocket
- Coolio::TimerWatcher
- Coolio::UNIXListener
- Coolio::UNIXServer
- Coolio::UNIXSocket
- Cool
- Cool::Coolness
- Cool::IOThunk
- Object
- Thread

No matching classes.

# Thread

Monkeypatch Thread to include a method for obtaining the default Coolio::Loop

### Public Instance Methods

_coolio_loop() click to toggle source

    # File lib/cool.io/loop.rb, line 11
    def _coolio_loop
      @_coolio_loop ||= Coolio::Loop.new
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.